####################################################################
#                                                                  #
# NATools - Package with parallel corpora tools                    #
# Copyright (C) 2002-2005  Alberto Simes                          #
#                                                                  #
# This package is free software; you can redistribute it and/or    #
# modify it under the terms of the GNU Lesser General Public       #
# License as published by the Free Software Foundation; either     #
# version 2 of the License, or (at your option) any later version. #
#                                                                  #
# This library is distributed in the hope that it will be useful,  #
# but WITHOUT ANY WARRANTY; without even the implied warranty of   #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU #
# Lesser General Public License for more details.                  #
#                                                                  #
# You should have received a copy of the GNU Lesser General Public #
# License along with this library; if not, write to the            #
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,     #
# Boston, MA 02111-1307, USA.                                      #
#                                                                  #
####################################################################

use 5.006;
use ExtUtils::MakeMaker;


WriteMakefile(
	      'NAME'		=> 'NAT',
	      'VERSION_FROM'	=> 'NAT.pm',
	      'EXE_FILES'    => [qw!scripts/nat-lex2perl
                                    scripts/nat-tmx2pair
                                    scripts/nat-pair2tmx
                                    scripts/nat-dumpDicts
                                    scripts/nat-compareDicts
                                    scripts/nat-rank
                                    scripts/nat-translate-shell
				    scripts/nat-sentence-align
				    scripts/nat-dict
				    scripts/nat-shell
				    scripts/nat-create
			            scripts/nat-these
				    scripts/nat-this!],
	      'PREREQ_PM'	=> {
				    'Lingua::PT::PLNbase'  => '0.01',
				    'IO::Socket'           => '1.28',
				    'XML::TMX'             => '0.07',
				    'XML::DT'              => '0.44',
				    'Compress::Zlib'       => '1.16',
				    'Test::Harness'        => '2.26',
				    'Storable'             => '2.04',
				    'MLDBM'                => '2.00',
				    'Fcntl'                => '1.03',
				    'POSIX'                => '1.06',
				    'DB_File'              => '1.804',
				    'File::Path'           => '1.06',
				    'File::Spec'           => '0.86',
				    'File::Copy'           => '2.06',
				    'IPC::Open2'           => '1.01',
				    'Time::HiRes'          => '1.2',
				    'Term::ReadLine'       => '1.01',
				    'URI::Escape'          => '3.26',
				    'Lingua::Identify'     => '0.17',
#				    'Parse::Yapp'          => '1.05',
				   },
	      'DEFINE' 	        => '',
	      'MAKEFILE'        => 'Makefile.in',
	      'SKIP'            => [ qw/dist
					dist_basics
					dist_core
					dist_dir
					dist_test
					dist_ci/ ],
	     );


`yapp -m NAT::PatternRules -o NAT/PatternRules.pm NAT/PatternRules.yp`;

sub MY::postamble {
  local $/ = undef;
  my $postamble = <DATA>;
}

__DATA__
VERSION = @VERSION@
PACKAGE = @PACKAGE@

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)/NAT

distdir:
	mkdir -p $(distdir)
	perl -MExtUtils::Manifest -e 'ExtUtils::Manifest::manicopy(ExtUtils::Manifest::maniread("MANIFEST"),"$(distdir)","cp")'

check: test
